Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io.agave
Class AGAVEXrefsPropHandler

    java.lang.Object
      org.biojava.bio.seq.io.agave.StAXContentHandlerBase
          org.biojava.bio.seq.io.agave.StAXPropertyHandler
              org.biojava.bio.seq.io.agave.AGAVEXrefsPropHandler

All Implemented Interfaces:
  AGAVEDbIdCallbackItf, AGAVEXrefCallbackItf, StAXContentHandler

    public class AGAVEXrefsPropHandler

extends StAXPropertyHandler
implements AGAVEDbIdCallbackItf, AGAVEXrefCallbackItf

Deals with database crossreferences (xrefs)

Author:
  Hanning Ni Doubletwist Inc

Field Summary
`static StAXHandlerFactory` | `AGAVE_XREFS_PROP_HANDLER_FACTORY`

Fields inherited from class org.biojava.bio.seq.io.agave.StAXPropertyHandler
`featureListener, staxenv`

Method Summary
`void` | `addDbId(AGAVEDbId db_id)`
`void` | `addXref(AGAVEXref xref)`
`void` | `endElementHandler(String nsURI, String localName, String qName, StAXContentHandler handler)` Element specific exit handler Subclass to do anything useful.

Methods inherited from class org.biojava.bio.seq.io.agave.StAXPropertyHandler
`addHandler, endElement, getHandlerStackIterator, setHandlerCharacteristics, setProperty, startElement, startElementHandler`

Methods inherited from class org.biojava.bio.seq.io.agave.StAXContentHandlerBase
`characters, endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AGAVE_XREFS_PROP_HANDLER_FACTORY

    public static final StAXHandlerFactory AGAVE_XREFS_PROP_HANDLER_FACTORY

Method Detail

### addDbId

    public void addDbId(AGAVEDbId db_id)

  Specified by:
    `addDbId` in interface `AGAVEDbIdCallbackItf`

### addXref

    public void addXref(AGAVEXref xref)

  Specified by:
    `addXref` in interface `AGAVEXrefCallbackItf`

### endElementHandler

    public void endElementHandler(String nsURI,
                                  String localName,
                                  String qName,
                                  StAXContentHandler handler)
                           throws SAXException

  Description copied from class: `StAXPropertyHandler`
  Element specific exit handler Subclass to do anything useful.

  Overrides:
    `endElementHandler` in class `StAXPropertyHandler`
  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD